Jump to content
scook

Updated several utilities for CbB

Recommended Posts

6 minutes ago, gmp said:

I understand why  I should use Launchpad with 2019.09 and any later versions, because of CW130auto.dll. And I see only 2 CW130auto.dll in the "sub" folder. So how is Launchpad handling 2019.07 and all earlier versions of CbB? It seems like it would need all those versions of CW130auto.dll in the sub folder also.

Yes, all versions of CbB need the dll. I use a generic dll for versions older than 2019-09.

Share this post


Link to post
Share on other sites
3 minutes ago, User 905133 said:

For the most part, programs seem to launch as expected (including appropriate warnings about files being made on newer versions, missing plug-ins, etc.).

All of this is handled by the DAW. Launchpad just runs the DAW with or without file on the command line.

The program serves two purposes:

  1. switching between versions of CbB
  2. managing lists of CbB projects, project templates and MIDI files (an alternative to the start screen).

Share this post


Link to post
Share on other sites
49 minutes ago, scook said:

Yes, all versions of CbB need the dll. I use a generic dll for versions older than 2019-09.

Thank you, I now understand

Share this post


Link to post
Share on other sites

Updated Launchpad to v1.9 -Now it silently skips unsupported Cakewalk products instead of shutting down.

See the OP for the link.

For existing users do not delete the current Launchpad folder. To update, overwrite the current folder with the contents of the new zip.

  • Like 1
  • Thanks 1

Share this post


Link to post
Share on other sites

I haven't tried this out yet but I have been following this thread.  I must say this is really good Steve.

I just downloaded it. Great details in the PDF as well.

  • Thanks 1

Share this post


Link to post
Share on other sites
3 hours ago, scook said:

Updated Launchpad to v1.9 -Now it silently skips unsupported Cakewalk products instead of shutting down.

Just tested a few simple things (listing projects from different sources/folder locations, and launching projects and *.mid files to test). Seems to work just fine. Thanks again for adding the silent skip-unsupported-older-versions feature!!  

Edited by User 905133
fix typo
  • Thanks 1

Share this post


Link to post
Share on other sites
On 12/1/2019 at 11:11 PM, scook said:

Yes, all versions of CbB need the dll. I use a generic dll for versions older than 2019-09.

T his all makes sense now, except I'm still curious how older Platinum versions can work without Launchpad.  Do they use W130auto.dll? I also have Sonar 8.5, is hta tok too?

Share this post


Link to post
Share on other sites

 

38 minutes ago, gmp said:

I'm still curious how older Platinum versions can work without Launchpad.  Do they use W130auto.dll? I also have Sonar 8.5, is hta tok too?

CW130Auto.dll was created for CbB. SONAR releases have similar files under different names located in the same folder. What makes CbB different is rather than create a new dll and adjust the program to look for the new file, the decision was made to reuse dll name even though it is incompatible with prior releases of CbB.

As I wrote above, this is CbB issue; it is not a SONAR issue. SONAR is not affected at all.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...